
%global meadversion 1.1.2
%global namedversion 1.1.2.redhat-1
%global meadalpha .redhat_1
%global meadrel .1
%global serial 3

%bcond_with java7
%bcond_with javadoc
%bcond_without mead

%define maven_version 1.1.2.redhat-1

Name:           shrinkwrap
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        ShrinkWrap Java API for Archive Manipulation
License:        ASL 2.0
Group:          Development/Java

%if %with mead
Source100: shrinkwrap-parent-1.1.2.redhat-1-scm-sources.zip
Source102: shrinkwrap-depchain-1.1.2.redhat-1.pom
Source103: shrinkwrap-api-1.1.2.redhat-1.jar
Source104: shrinkwrap-api-1.1.2.redhat-1-javadoc.jar
Source105: shrinkwrap-api-1.1.2.redhat-1-tests.jar
Source106: shrinkwrap-api-1.1.2.redhat-1-sources.jar
Source107: shrinkwrap-api-1.1.2.redhat-1.pom
Source108: shrinkwrap-spi-1.1.2.redhat-1-javadoc.jar
Source109: shrinkwrap-spi-1.1.2.redhat-1.pom
Source110: shrinkwrap-spi-1.1.2.redhat-1.jar
Source111: shrinkwrap-spi-1.1.2.redhat-1-sources.jar
Source112: shrinkwrap-bom-1.1.2.redhat-1.pom
Source113: shrinkwrap-impl-base-1.1.2.redhat-1-tests.jar
Source114: shrinkwrap-impl-base-1.1.2.redhat-1-javadoc.jar
Source115: shrinkwrap-impl-base-1.1.2.redhat-1.jar
Source116: shrinkwrap-impl-base-1.1.2.redhat-1-sources.jar
Source117: shrinkwrap-impl-base-1.1.2.redhat-1.pom
Source118: shrinkwrap-parent-1.1.2.redhat-1.pom
Source119: shrinkwrap-parent-1.1.2.redhat-1-javadoc.jar
Source120: shrinkwrap-build-resources-1.1.2.redhat-1.jar
Source121: shrinkwrap-build-resources-1.1.2.redhat-1.pom
Source122: shrinkwrap-build-resources-1.1.2.redhat-1-sources.jar
%endif

URL:            http://www.jboss.org
Requires:       shrinkwrap-api = %{epoch}:%{version}-%{release}
Requires:       shrinkwrap-impl-base = %{epoch}:%{version}-%{release}
Requires:       shrinkwrap-spi = %{epoch}:%{version}-%{release}
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/shrinkwrap-%{namedversion}-%{release}-root

%description
ShrinkWrap Java API for Archive Manipulation.

%package -n shrinkwrap-parent
Summary:        ShrinkWrap Aggregator and Build Parent
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
# FIXME: This has to be disabled due to EAP 6 not shipping it
%if 0
Requires:       jboss-parent >= 0:11
%endif

%description -n shrinkwrap-parent
ShrinkWrap Aggregator.

%package -n shrinkwrap-api
Summary:        ShrinkWrap API
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       shrinkwrap-parent = %{epoch}:%{version}-%{release}

%description -n shrinkwrap-api
Client View of the ShrinkWrap Project.

%package -n shrinkwrap-api-nio2
Summary:        ShrinkWrap NIO.2 API
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       shrinkwrap-parent = %{epoch}:%{version}-%{release}
Requires:       shrinkwrap-api = %{epoch}:%{version}-%{release}

%description -n shrinkwrap-api-nio2
ShrinkWrap NIO.2 API.

%package -n shrinkwrap-bom
Summary:        ShrinkWrap Bill of Materials
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       jboss-parent >= 0:11

%description -n shrinkwrap-bom
Centralized dependencyManagement for the ShrinkWrap Project.

%package -n shrinkwrap-build-resources
Summary:        Shrinkwrap Build Resources
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       shrinkwrap-parent = %{epoch}:%{version}-%{release}

%description -n shrinkwrap-build-resources
%{summary}.

%package -n shrinkwrap-depchain
Summary:        ShrinkWrap Dependency Chain
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       shrinkwrap-parent = %{epoch}:%{version}-%{release}
Requires:       shrinkwrap-api = %{epoch}:%{version}-%{release}
Requires:       shrinkwrap-spi = %{epoch}:%{version}-%{release}
Requires:       shrinkwrap-impl-base = %{epoch}:%{version}-%{release}

%description -n shrinkwrap-depchain
Single-POM Definition to export the ShrinkWrap artifacts in proper scope.

%package -n shrinkwrap-depchain-java7
Summary:        ShrinkWrap Dependency Chain for Java7 Environments
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       shrinkwrap-parent = %{epoch}:%{version}-%{release}
Requires:       shrinkwrap-api = %{epoch}:%{version}-%{release}
Requires:       shrinkwrap-api-nio2 = %{epoch}:%{version}-%{release}
Requires:       shrinkwrap-spi = %{epoch}:%{version}-%{release}
Requires:       shrinkwrap-impl-base = %{epoch}:%{version}-%{release}
Requires:       shrinkwrap-impl-nio2 = %{epoch}:%{version}-%{release}

%description -n shrinkwrap-depchain-java7
Single-POM Definition to export the ShrinkWrap artifacts in proper scope for
Java 7 Environments.

%package -n shrinkwrap-distribution
Summary:        ShrinkWrap Distribution
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       shrinkwrap-parent = %{epoch}:%{version}-%{release}
Requires:       shrinkwrap-impl-nio2 = %{epoch}:%{version}-%{release}

%description -n shrinkwrap-distribution
%{summary}.

%package -n shrinkwrap-impl-base
Summary:        ShrinkWrap Implementation Base
Group:          Development/Java

Obsoletes:      shrinkwrap < 0:1.0.0-17
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       shrinkwrap-parent = %{epoch}:%{version}-%{release}
Requires:       shrinkwrap-api = %{epoch}:%{version}-%{release}
Requires:       shrinkwrap-spi = %{epoch}:%{version}-%{release}

%description -n shrinkwrap-impl-base
Common Base for Implementations of the ShrinkWrap Project.

%package -n shrinkwrap-impl-nio2
Summary:        ShrinkWrap NIO.2 Implementation
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       shrinkwrap-parent = %{epoch}:%{version}-%{release}
Requires:       shrinkwrap-api-nio2 = %{epoch}:%{version}-%{release}

%description -n shrinkwrap-impl-nio2
ShrinkWrap NIO.2 Implementation.

%package -n shrinkwrap-spi
Summary:        ShrinkWrap SPI
Group:          Development/Java

Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       shrinkwrap-parent = %{epoch}:%{version}-%{release}
Requires:       shrinkwrap-api = %{epoch}:%{version}-%{release}

%description -n shrinkwrap-spi
Generic Service Provider Contract of the ShrinkWrap Project.

%if %with javadoc
%package -n shrinkwrap-javadoc
Summary:        Javadoc for shrinkwrap
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n shrinkwrap-javadoc
%{summary}.
%endif

%prep
%setup -q -n shrinkwrap -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/shrinkwrap-api-%{namedversion}.jar %{buildroot}%{_javadir}/shrinkwrap-api-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/shrinkwrap-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/shrinkwrap-api-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/shrinkwrap-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/shrinkwrap-api-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/shrinkwrap-api-%{namedversion}-tests.jar %{buildroot}%{_javadir}/shrinkwrap-api-%{namedversion}-tests.jar
%if %with java7
%{__cp} -p %{_sourcedir}/shrinkwrap-api-nio2-%{namedversion}.jar %{buildroot}%{_javadir}/shrinkwrap-api-nio2-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/shrinkwrap-api-nio2-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/shrinkwrap-api-nio2-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/shrinkwrap-api-nio2-%{namedversion}-sources.jar %{buildroot}%{_javadir}/shrinkwrap-api-nio2-%{namedversion}-sources.jar
%endif
%{__cp} -p %{_sourcedir}/shrinkwrap-build-resources-%{namedversion}.jar %{buildroot}%{_javadir}/shrinkwrap-build-resources-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/shrinkwrap-build-resources-%{namedversion}-sources.jar %{buildroot}%{_javadir}/shrinkwrap-build-resources-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/shrinkwrap-impl-base-%{namedversion}.jar %{buildroot}%{_javadir}/shrinkwrap-impl-base-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/shrinkwrap-impl-base-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/shrinkwrap-impl-base-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/shrinkwrap-impl-base-%{namedversion}-sources.jar %{buildroot}%{_javadir}/shrinkwrap-impl-base-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/shrinkwrap-impl-base-%{namedversion}-tests.jar %{buildroot}%{_javadir}/shrinkwrap-impl-base-%{namedversion}-tests.jar
%if %with java7
%{__cp} -p %{_sourcedir}/shrinkwrap-impl-nio2-%{namedversion}.jar %{buildroot}%{_javadir}/shrinkwrap-impl-nio2-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/shrinkwrap-impl-nio2-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/shrinkwrap-impl-nio2-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/shrinkwrap-impl-nio2-%{namedversion}-sources.jar %{buildroot}%{_javadir}/shrinkwrap-impl-nio2-%{namedversion}-sources.jar
%endif
%{__cp} -p %{_sourcedir}/shrinkwrap-spi-%{namedversion}.jar %{buildroot}%{_javadir}/shrinkwrap-spi-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/shrinkwrap-spi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/shrinkwrap-spi-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/shrinkwrap-spi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/shrinkwrap-spi-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/shrinkwrap-parent-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-shrinkwrap-parent.pom
%{__cp} -p %{_sourcedir}/shrinkwrap-api-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-shrinkwrap-api.pom
%if %with java7
%{__cp} -p %{_sourcedir}/shrinkwrap-api-nio2-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-shrinkwrap-api-nio2.pom
%endif
%{__cp} -p %{_sourcedir}/shrinkwrap-bom-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-shrinkwrap-bom.pom
%{__cp} -p %{_sourcedir}/shrinkwrap-build-resources-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-shrinkwrap-build-resources.pom
%{__cp} -p %{_sourcedir}/shrinkwrap-depchain-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-shrinkwrap-depchain.pom
%if %with java7
%{__cp} -p %{_sourcedir}/shrinkwrap-depchain-java7-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-shrinkwrap-depchain-java7.pom
%endif
%{__cp} -p %{_sourcedir}/shrinkwrap-impl-base-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-shrinkwrap-impl-base.pom
%if %with java7
%{__cp} -p %{_sourcedir}/shrinkwrap-impl-nio2-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-shrinkwrap-impl-nio2.pom
%endif
%{__cp} -p %{_sourcedir}/shrinkwrap-spi-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-shrinkwrap-spi.pom

# depmaps
%add_to_maven_depmap org.jboss.shrinkwrap shrinkwrap-parent %{namedversion} JPP shrinkwrap-parent
[ %{name} = "shrinkwrap-parent" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/shrinkwrap-parent
%add_to_maven_depmap org.jboss.shrinkwrap shrinkwrap-api %{namedversion} JPP shrinkwrap-api
[ %{name} = "shrinkwrap-api" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/shrinkwrap-api
%if %with java7
%add_to_maven_depmap org.jboss.shrinkwrap shrinkwrap-api-nio2 %{namedversion} JPP shrinkwrap-api-nio2
[ %{name} = "shrinkwrap-api-nio2" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/shrinkwrap-api-nio2
%endif
%add_to_maven_depmap org.jboss.shrinkwrap shrinkwrap-bom %{namedversion} JPP shrinkwrap-bom
[ %{name} = "shrinkwrap-bom" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/shrinkwrap-bom
%add_to_maven_depmap org.jboss.shrinkwrap shrinkwrap-build-resources %{namedversion} JPP shrinkwrap-build-resources
[ %{name} = "shrinkwrap-build-resources" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/shrinkwrap-build-resources
%add_to_maven_depmap org.jboss.shrinkwrap shrinkwrap-depchain %{namedversion} JPP shrinkwrap-depchain
[ %{name} = "shrinkwrap-depchain" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/shrinkwrap-depchain
%if %with java7
%add_to_maven_depmap org.jboss.shrinkwrap shrinkwrap-depchain-java7 %{namedversion} JPP shrinkwrap-depchain-java7
[ %{name} = "shrinkwrap-depchain-java7" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/shrinkwrap-depchain-java7
%endif
%add_to_maven_depmap org.jboss.shrinkwrap shrinkwrap-impl-base %{namedversion} JPP shrinkwrap-impl-base
[ %{name} = "shrinkwrap-impl-base" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/shrinkwrap-impl-base
%if %with java7
%add_to_maven_depmap org.jboss.shrinkwrap shrinkwrap-impl-nio2 %{namedversion} JPP shrinkwrap-impl-nio2
[ %{name} = "shrinkwrap-impl-nio2" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/shrinkwrap-impl-nio2
%endif
%add_to_maven_depmap org.jboss.shrinkwrap shrinkwrap-spi %{namedversion} JPP shrinkwrap-spi
[ %{name} = "shrinkwrap-spi" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/shrinkwrap-spi

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/shrinkwrap-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/shrinkwrap-parent-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/shrinkwrap-%{namedversion} -x META-INF/\*
%{__ln_s} shrinkwrap-%{namedversion} %{buildroot}%{_javadocdir}/shrinkwrap
%endif

%clean
%{__rm} -rf %{buildroot}

%post -n shrinkwrap-parent
%update_maven_depmap

%postun -n shrinkwrap-parent
%update_maven_depmap

%post -n shrinkwrap-api
%update_maven_depmap

%postun -n shrinkwrap-api
%update_maven_depmap

%if %with java7
%post -n shrinkwrap-api-nio2
%update_maven_depmap

%postun -n shrinkwrap-api-nio2
%update_maven_depmap
%endif

%post -n shrinkwrap-bom
%update_maven_depmap

%postun -n shrinkwrap-bom
%update_maven_depmap

%post -n shrinkwrap-build-resources
%update_maven_depmap

%postun -n shrinkwrap-build-resources
%update_maven_depmap

%post -n shrinkwrap-depchain
%update_maven_depmap

%postun -n shrinkwrap-depchain
%update_maven_depmap

%if %with java7
%post -n shrinkwrap-depchain-java7
%update_maven_depmap

%postun -n shrinkwrap-depchain-java7
%update_maven_depmap
%endif

%post -n shrinkwrap-impl-base
%update_maven_depmap

%postun -n shrinkwrap-impl-base
%update_maven_depmap

%if %with java7
%post -n shrinkwrap-impl-nio2
%update_maven_depmap

%postun -n shrinkwrap-impl-nio2
%update_maven_depmap
%endif

%post -n shrinkwrap-spi
%update_maven_depmap

%postun -n shrinkwrap-spi
%update_maven_depmap

%files
%defattr(0644,root,root,0755)

%files -n shrinkwrap-parent
%defattr(0644,root,root,0755)
%doc LICENSE
%{_mavenpomdir}/JPP-shrinkwrap-parent.pom
%{_mavendepmapfragdir}/shrinkwrap-parent

%files -n shrinkwrap-api
%defattr(0644,root,root,0755)
%{_javadir}/shrinkwrap-api-%{namedversion}.jar
%{_javadir}/shrinkwrap-api.jar
%exclude %{_javadir}/shrinkwrap-api-%{namedversion}-javadoc.jar
%exclude %{_javadir}/shrinkwrap-api-javadoc.jar
%{_javadir}/shrinkwrap-api-%{namedversion}-sources.jar
%{_javadir}/shrinkwrap-api-sources.jar
%exclude %{_javadir}/shrinkwrap-api-%{namedversion}-tests.jar
%exclude %{_javadir}/shrinkwrap-api-tests.jar
%{_mavenpomdir}/JPP-shrinkwrap-api.pom
%{_mavendepmapfragdir}/shrinkwrap-api

%if %with java7
%files -n shrinkwrap-api-nio2
%defattr(0644,root,root,0755)
%{_javadir}/shrinkwrap-api-nio2-%{namedversion}.jar
%{_javadir}/shrinkwrap-api-nio2.jar
%exclude %{_javadir}/shrinkwrap-api-nio2-%{namedversion}-javadoc.jar
%exclude %{_javadir}/shrinkwrap-api-nio2-javadoc.jar
%{_javadir}/shrinkwrap-api-nio2-%{namedversion}-sources.jar
%{_javadir}/shrinkwrap-api-nio2-sources.jar
%{_mavenpomdir}/JPP-shrinkwrap-api-nio2.pom
%{_mavendepmapfragdir}/shrinkwrap-api-nio2
%endif

%files -n shrinkwrap-bom
%defattr(0644,root,root,0755)
%{_mavenpomdir}/JPP-shrinkwrap-bom.pom
%{_mavendepmapfragdir}/shrinkwrap-bom

%files -n shrinkwrap-build-resources
%defattr(0644,root,root,0755)
%{_javadir}/shrinkwrap-build-resources-%{namedversion}.jar
%{_javadir}/shrinkwrap-build-resources.jar
%{_javadir}/shrinkwrap-build-resources-%{namedversion}-sources.jar
%{_javadir}/shrinkwrap-build-resources-sources.jar
%{_mavenpomdir}/JPP-shrinkwrap-build-resources.pom
%{_mavendepmapfragdir}/shrinkwrap-build-resources

%files -n shrinkwrap-depchain
%defattr(0644,root,root,0755)
%{_mavenpomdir}/JPP-shrinkwrap-depchain.pom
%{_mavendepmapfragdir}/shrinkwrap-depchain

%if %with java7
%files -n shrinkwrap-depchain-java7
%defattr(0644,root,root,0755)
%{_mavenpomdir}/JPP-shrinkwrap-depchain-java7.pom
%{_mavendepmapfragdir}/shrinkwrap-depchain-java7
%endif

%files -n shrinkwrap-impl-base
%defattr(0644,root,root,0755)
%{_javadir}/shrinkwrap-impl-base-%{namedversion}.jar
%{_javadir}/shrinkwrap-impl-base.jar
%exclude %{_javadir}/shrinkwrap-impl-base-%{namedversion}-javadoc.jar
%exclude %{_javadir}/shrinkwrap-impl-base-javadoc.jar
%{_javadir}/shrinkwrap-impl-base-%{namedversion}-sources.jar
%{_javadir}/shrinkwrap-impl-base-sources.jar
%exclude %{_javadir}/shrinkwrap-impl-base-%{namedversion}-tests.jar
%exclude %{_javadir}/shrinkwrap-impl-base-tests.jar
%{_mavenpomdir}/JPP-shrinkwrap-impl-base.pom
%{_mavendepmapfragdir}/shrinkwrap-impl-base

%if %with java7
%files -n shrinkwrap-impl-nio2
%defattr(0644,root,root,0755)
%{_javadir}/shrinkwrap-impl-nio2-%{namedversion}.jar
%{_javadir}/shrinkwrap-impl-nio2.jar
%exclude %{_javadir}/shrinkwrap-impl-nio2-%{namedversion}-javadoc.jar
%exclude %{_javadir}/shrinkwrap-impl-nio2-javadoc.jar
%{_javadir}/shrinkwrap-impl-nio2-%{namedversion}-sources.jar
%{_javadir}/shrinkwrap-impl-nio2-sources.jar
%{_mavenpomdir}/JPP-shrinkwrap-impl-nio2.pom
%{_mavendepmapfragdir}/shrinkwrap-impl-nio2
%endif

%files -n shrinkwrap-spi
%defattr(0644,root,root,0755)
%{_javadir}/shrinkwrap-spi-%{namedversion}.jar
%{_javadir}/shrinkwrap-spi.jar
%exclude %{_javadir}/shrinkwrap-spi-%{namedversion}-javadoc.jar
%exclude %{_javadir}/shrinkwrap-spi-javadoc.jar
%{_javadir}/shrinkwrap-spi-%{namedversion}-sources.jar
%{_javadir}/shrinkwrap-spi-sources.jar
%{_mavenpomdir}/JPP-shrinkwrap-spi.pom
%{_mavendepmapfragdir}/shrinkwrap-spi

%if %with javadoc
%files -n shrinkwrap-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/shrinkwrap-%{namedversion}
%{_javadocdir}/shrinkwrap
%{_javadir}/shrinkwrap-%{namedversion}-javadoc.jar
%{_javadir}/shrinkwrap-javadoc.jar
%endif

%changelog
* Thu Sep 26 2013 David Walluck <dwalluck@redhat.com> - 1.1.2-3.redhat_1.1
- Obsoletes: shrinkwrap < 0:1.0.0-17

* Wed Sep 25 2013 David Walluck <dwalluck@redhat.com> - 1.1.2-1.redhat_1.1
- add back shrinkwrap package

* Mon Sep 23 2013 David Walluck <dwalluck@redhat.com> 0:1.1.2-1
- new spec with proper subpackages and artifacts

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-16.redhat_2
- Rebuild for MD5

* Mon Aug 20 2012 Honza Brazdil <jbrazdil@redhat.com> - 1.0.0-15.redhat_2
- Update pom patch for eap 6.0.1

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-14.redhat_2.4
- Rebuild unsigned

* Wed Aug 01 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-14.redhat_1.3
- Build from an usigned MEAD build

* Wed Aug 01 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-14.redhat_1.2
- Build from a signed MEAD build

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-14.redhat_1.1
- Rebuild using cache signing

* Wed May 02 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-14.redhat_1
- Fix Release tag

* Fri Apr 20 2012 Vladimir Dosoudil <vdosoudi@redhat.com> - 0:1.0.0-13_redhat_1
- Rebuild

* Fri Apr 20 2012 Vladimir Dosoudil <vdosoudi@redhat.com> - 0:1.0.0-12_redhat_1
- Upgrade to 1.0.0

* Wed Apr 18 2012 Hui Wang <huwang@redhat.com> - 0:1.0.0-11_cr_1_redhat_1
- Change jboss-parent's version to 8-redhat-1

* Thu Mar 15 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-10_cr_1_redhat_1
- Use new wrapper
- Requires jpacakge-utils in javadoc subpackage
- Remove META-INF from javadoc
- List each file in %files

* Thu Dec 15 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0-9_cr_1_redhat_1
- Fix pom to remove hamcrest dependency

* Wed Dec 14 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0-8_cr_1_redhat_1
- Upgrade to 1.0.0-cr-1
- Fix License to ASL 2.0

* Fri Nov 11 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0-7
- do not sign jars which have been signed in /usr/share/java-siged
- fix jpp depmap issue

* Fri Oct 28 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0-6
- fix signed jars issue

* Sat Oct 8 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0-5
- rpm build from -mead package

* Mon Aug 22 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0-4
- upgrade to 1.0.0-beta-5

* Fri Aug 19 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0-3
- chnage to productization git repository
- wolf build

* Thu Jul 7 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0-2
- Initial version of shrinkwrap

* Tue May 24 2011 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-1
- Placeholder
